Quantcast Returning to ESO, need help with add-ons please. - ESOUI
Thread Tools Display Modes
04/08/19, 11:31 PM   #1
Teliriah
Join Date: Apr 2019
Posts: 5
Returning to ESO, need help with add-ons please.

***************
Thanks to everyone who helped fix my issue
*****************


Trying to update my addons ,and i keep getting that addons need Libraries, so i downloaded those but they wont load for some reason. all the ones that wont load have the same text on it about compatibility with that version.
My ESO client is up to date.

Addon's not working:
AwesomeGuildStore
Dolgubon's Lazy Writ Creator v2.6.3
HarvestMap

Libs not working:
Lib3D-v3
LibAddonMenu-2.0
LibGPS
LibMapPing
LibMapPins 1.0 r17
LibPrice
Attached Thumbnails
Click image for larger version

Name:	Screenshot_1.png
Views:	106
Size:	242.3 KB
ID:	1094  

Last edited by Teliriah : 04/09/19 at 01:37 PM.
  Reply With Quote
04/09/19, 12:26 AM   #2
Scootworks
 
Scootworks's Avatar
AddOn Author - Click to view addons
Join Date: Nov 2014
Posts: 244
Originally Posted by Teliriah View Post
Trying to update my addons ,and i keep getting that addons need Libraries, so i downloaded those but they wont load for some reason. all the ones that wont load have the same text on it about compatibility with that version.
My ESO client is up to date.

Addon's not working:
AwesomeGuildStore
Dolgubon's Lazy Writ Creator v2.6.3
HarvestMap

Libs not working:
Lib3D-v3
LibAddonMenu-2.0
LibGPS
LibMapPing
LibMapPins 1.0 r17
LibPrice
you have LibStub? if not, install it
__________________
EU Server - SŁĄuGhTerHĜuSe
  Reply With Quote
04/09/19, 03:29 AM   #3
Kyoma
AddOn Author - Click to view addons
Join Date: Apr 2014
Posts: 89
Check the "Allow out-of-date addons" box.
  Reply With Quote
04/09/19, 04:22 AM   #4
Baertram
 
Baertram's Avatar
AddOn Author - Click to view addons
Join Date: Mar 2014
Posts: 2,293
Originally Posted by Kyoma View Post
Check the "Allow out-of-date addons" box.
This, always!!!
  Reply With Quote
04/09/19, 11:34 AM   #5
Teliriah
Join Date: Apr 2019
Posts: 5
Originally Posted by Scootworks View Post
you have LibStub? if not, install it
will try to install that and check if that fixes after the servers are back online
  Reply With Quote
04/09/19, 11:36 AM   #6
Teliriah
Join Date: Apr 2019
Posts: 5
Originally Posted by Baertram View Post
This, always!!!
Originally Posted by Kyoma View Post
Check the "Allow out-of-date addons" box.
Tried that and after reload nothing changed and all addons/libriares that were red before went back to being red
  Reply With Quote
04/09/19, 11:59 AM   #7
Rhyono
AddOn Author - Click to view addons
Join Date: Sep 2016
Posts: 520
If they are red, then they should be telling you what dependencies you are missing. You must be missing something because out of date definitely allows them. Look at the libs that won't load and see if they in turn have additional dependencies you are missing.
  Reply With Quote
04/09/19, 01:12 PM   #8
Teliriah
Join Date: Apr 2019
Posts: 5
Originally Posted by Rhyono View Post
If they are red, then they should be telling you what dependencies you are missing. You must be missing something because out of date definitely allows them. Look at the libs that won't load and see if they in turn have additional dependencies you are missing.
they are all there, than as i check for which one needs what, once i get to LibMapPing which is there i get the unknown compatibility.
i can try deleting them all and starting over. but i dont think that would help.
Attached Thumbnails
Click image for larger version

Name:	Screenshot_2.png
Views:	96
Size:	1.72 MB
ID:	1095  Click image for larger version

Name:	Screenshot_1.png
Views:	86
Size:	45.8 KB
ID:	1096  
  Reply With Quote
04/09/19, 01:21 PM   #9
sirinsidiator
 
sirinsidiator's Avatar
AddOn Author - Click to view addons
Join Date: Apr 2014
Posts: 1,263
You need to check the "Allow add-ons of other client versions" checkbox and press the "Reload UI" button, otherwise it won't work.
__________________
Like what I do? Support me on Patreon!
>siri.exe MyAddon
Does your addon work? [y/n] n
There is a typo in there.
  Reply With Quote
04/09/19, 01:27 PM   #10
Teliriah
Join Date: Apr 2019
Posts: 5
Originally Posted by sirinsidiator View Post
You need to check the "Allow add-ons of other client versions" checkbox and press the "Reload UI" button, otherwise it won't work.
ok, when i tried that before in-game it would not fix it, but tried it in the main menu before you choose your character and that worked.

not sure why one worked and the other would not.

Thanks to everyone that helped fix my issue

Last edited by Teliriah : 04/09/19 at 01:36 PM.
  Reply With Quote
04/10/19, 07:03 PM   #11
Drakanwulf
 
Drakanwulf's Avatar
AddOn Author - Click to view addons
Join Date: Apr 2017
Posts: 50
Originally Posted by Teliriah View Post
ok, when i tried that before in-game it would not fix it, but tried it in the main menu before you choose your character and that worked.

not sure why one worked and the other would not.

Thanks to everyone that helped fix my issue
You have to select the OOD checkbox before you activate a character because the game loads all your add-ons into a table that is unique to your character as part of the game's initialization functions for every character it loads and activates.

Hence, if you check the OOD checkbox after your character has been loaded and activated, it's already too late for the checkbox setting to have any effect on which add-ons the game selects and loads.

Hope this helps...
__________________
Drakanwulf, the dire wolf that hunts dragons!
  Reply With Quote

ESOUI » AddOns » AddOn Help/Support » Returning to ESO, need help with add-ons please.

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off